ชื่อผู้ใช้งาน
รหัสผ่าน:
 
หน้า: [1]
  พิมพ์  
 
ผู้เขียน หัวข้อ: Print ไม่ได้ ฟ้องว่า Spooler subsystem app ...  (อ่าน 11082 ครั้ง)
พฤศจิกายน 06, 2009, 09:14:31 pm
อ.สมฤกษ์
Hero Member
*****
กระทู้: 852



อีเมล์
« เมื่อ: พฤศจิกายน 06, 2009, 09:14:31 pm »

ปริ๊นไม่ได้ ฟ้องว่า Spooler subsystem app has encountered a problem and needs to close
เมื่อเข้าไปดูใน Printer & Fax ก็ปรากฏว่า Printer หายเรียบ จะ Add Printer เข้าไปใหม่มันก็ไม่ยอม

วิธีแก้ไข Error Spooler subsystem app
Error นี้ ทำให้เครื่องไม่สามารถพิมพ์ได้ รวมทั้งไม่สามารถ Add Printer เข้ามาได้

ภาษาอังกฤษ http://support.microsoft.com/kb/324757.
ภาษาไทย http://support.microsoft.com/kb/810894/
สรุปแบบสั้น ๆ เข้าใจง่าย ๆ ทำตามนี้ได้เลยครับ

1. Restart เครื่อง แล้วเข้าสู่ safe mode โดยก่อน Boot เข้า Windows กด F8 จะมีเมนูให้เลือก

2. เปิด Windows Explorer แล้วลบแฟ้มและโฟลเดอร์ทั้งหมดในสองโฟลเดอร์ต่อไปนี้:
c:\windows\system32\spool\printers
c:\windows\system32\spool\drivers\w32x86

3. กดปุ่ม Start ตามด้วย Run พิมพ์ regedit เพื่อเข้าสู่การแก้ไขค่า registry

4. ค้าหาตามด้านล่างHKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Print\Environments\Windows NT x86
จะมี 2 รายการย่อย ดังนี้

- Drivers
- Print Processors

ต้องมีแค่ 2 รายการด้านบน ถ้ามีเกิน ลบที่เกินทิ้ง (ของผมไม่เกินเลยไม่ต้องทำอะไร)


5. ต่อไปทำเหมือนข้อ 4 แต่เปลี่ยนเป้าหมายไปที่HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Print\Monitors
จะมี 5 รายการย่อย ดังนี้ ถ้ามีเกิน ลบออกให้เกลี้ยง

- BJ Language Monitor
- Local Port
- PJL Language Monitor
- Standard TCP/IP Port
- USB Monitor

ต้องมีแค่ 5 รายการนี้เท่านั้นนะครับ ของผมเกินมาเพียบเลย ลบที่อันที่นอกเหนือจากนี้ทั้งหมด

6. ถอดสาย Usb Printer ออก แล้ว Restart ได้เลย

7. เพิ่ม Printer ใหม่ ได้เลย ไม่มี Error แล้ว

มีอีกส่วนที่ตัดออกคือการ Backup registry ของผมบังเบิญไม่ได้ทำ ถ้าอยากทำกันเหนียวไว้ก่อนก็อ่านวิธีทำตาม Link ด้านบนนะครับ
« แก้ไขครั้งสุดท้าย: พฤศจิกายน 20, 2009, 11:26:20 pm โดย อ.สมฤกษ์ » บันทึกการเข้า
   
หน้า: [1]
  พิมพ์  
 
กระโดดไป:  

Powered by SMF 1.1.4 | SMF © 2006-2007, Simple Machines LLC | Thai language by ThaiSMF
Cennet By Burak
Valid XHTML 1.0! Valid CSS!